Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx.graphics
Enum BlendComposite.BlendingMode

    java.lang.Object
      java.lang.Enum<BlendComposite.BlendingMode>
          org.jdesktop.swingx.graphics.BlendComposite.BlendingMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BlendComposite.BlendingMode>

Enclosing class:
  BlendComposite

    public static enum BlendComposite.BlendingMode

extends java.lang.Enum<BlendComposite.BlendingMode>

A blending mode defines the compositing rule of a `BlendComposite`.

Author:
  Romain Guy

Enum Constant Summary
`ADD`
`AVERAGE`
`BLUE`
`COLOR`
`COLOR_BURN`
`COLOR_DODGE`
`DARKEN`
`DIFFERENCE`
`EXCLUSION`
`FREEZE`
`GLOW`
`GREEN`
`HARD_LIGHT`
`HEAT`
`HUE`
`INVERSE_COLOR_BURN`
`INVERSE_COLOR_DODGE`
`LIGHTEN`
`LUMINOSITY`
`MULTIPLY`
`NEGATION`
`OVERLAY`
`RED`
`REFLECT`
`SATURATION`
`SCREEN`
`SOFT_BURN`
`SOFT_DODGE`
`SOFT_LIGHT`
`STAMP`
`SUBTRACT`

Method Summary
`static BlendComposite.BlendingMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BlendComposite.BlendingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AVERAGE

    public static final BlendComposite.BlendingMode AVERAGE

### MULTIPLY

    public static final BlendComposite.BlendingMode MULTIPLY

### SCREEN

    public static final BlendComposite.BlendingMode SCREEN

### DARKEN

    public static final BlendComposite.BlendingMode DARKEN

### LIGHTEN

    public static final BlendComposite.BlendingMode LIGHTEN

### OVERLAY

    public static final BlendComposite.BlendingMode OVERLAY

### HARD_LIGHT

    public static final BlendComposite.BlendingMode HARD_LIGHT

### SOFT_LIGHT

    public static final BlendComposite.BlendingMode SOFT_LIGHT

### DIFFERENCE

    public static final BlendComposite.BlendingMode DIFFERENCE

### NEGATION

    public static final BlendComposite.BlendingMode NEGATION

### EXCLUSION

    public static final BlendComposite.BlendingMode EXCLUSION

### COLOR_DODGE

    public static final BlendComposite.BlendingMode COLOR_DODGE

### INVERSE_COLOR_DODGE

    public static final BlendComposite.BlendingMode INVERSE_COLOR_DODGE

### SOFT_DODGE

    public static final BlendComposite.BlendingMode SOFT_DODGE

### COLOR_BURN

    public static final BlendComposite.BlendingMode COLOR_BURN

### INVERSE_COLOR_BURN

    public static final BlendComposite.BlendingMode INVERSE_COLOR_BURN

### SOFT_BURN

    public static final BlendComposite.BlendingMode SOFT_BURN

### REFLECT

    public static final BlendComposite.BlendingMode REFLECT

### GLOW

    public static final BlendComposite.BlendingMode GLOW

### FREEZE

    public static final BlendComposite.BlendingMode FREEZE

### HEAT

    public static final BlendComposite.BlendingMode HEAT

### ADD

    public static final BlendComposite.BlendingMode ADD

### SUBTRACT

    public static final BlendComposite.BlendingMode SUBTRACT

### STAMP

    public static final BlendComposite.BlendingMode STAMP

### RED

    public static final BlendComposite.BlendingMode RED

### GREEN

    public static final BlendComposite.BlendingMode GREEN

### BLUE

    public static final BlendComposite.BlendingMode BLUE

### HUE

    public static final BlendComposite.BlendingMode HUE

### SATURATION

    public static final BlendComposite.BlendingMode SATURATION

### COLOR

    public static final BlendComposite.BlendingMode COLOR

### LUMINOSITY

    public static final BlendComposite.BlendingMode LUMINOSITY

Method Detail

### values

    public static BlendComposite.BlendingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BlendComposite.BlendingMode c : BlendComposite.BlendingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BlendComposite.BlendingMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.